textures/ad_content/sh2_sfx
{
	qer_editorimage textures/ad_content/sh2.jpg
	nopicmip
	{
		map textures/ad_content/sh2.jpg
	}	
	{
		map textures/base_wall/comp3text.tga
		blendfunc add
	    	rgbGen Wave sin .5 0 0 0
		tcmod scroll .5 .5
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	    	rgbGen Wave sin .4 0 0 0
		tcmod scroll 3 3
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	    	rgbGen wave sin .15 0 0 0
		blendfunc add
	}
}

textures/ad_content/sh1_trans_sfx
{
	qer_editorimage textures/ad_content/sh1.jpg
	surfaceparm nonsolid
	nopicmip
	{
		map textures/ad_content/sh1.jpg
		rgbGen wave triangle 0.44 0.12 0 0.8
		blendfunc add
	}
	{
		map textures/ad_content/sh1.jpg
		rgbGen wave triangle 0.05 0.05 1 2.2
		blendfunc add
		tcmod scale 0.98 0.98
	}
	{
		map textures/ad_content/brightoverlay.tga
		rgbGen Wave sin .12 0.05 0 2
		tcmod scroll 1 0.2
		blendfunc add
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	    	rgbGen Wave sin .13 0 0 0
		tcmod scroll 2 2
	}
	{
		map textures/sfx/zap_scrollblue.jpg
		blendfunc add
	   	 rgbGen Wave sin .05 0.05 0 4
		tcmod scroll 0 1
	}
	{
		map textures/ad_content/brightglow.tga
		rgbGen Wave sin .17 0.05 0 1.7
		blendfunc add
	}
}

// smoothed grit/mud
textures/map_terminus/grit01_shadeangle_100
{
	q3map_nonplanar
	q3map_shadeangle 100
	qer_editorimage textures/proto2/grit01.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/proto2/grit01.tga
		blendFunc filter
	}
}

textures/map_terminus/terminus_glass01
{
	qer_editorimage textures/base_wall/shiny3.tga
	surfaceparm trans	
	cull disable
	qer_trans 0.5
	{
		map textures/effects/tinfx3.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/map_terminus/pjgrate3
{
	qer_editorimage textures/base_floor/pjgrate2.tga
	surfaceparm metalsteps
	surfaceparm nomarks
	nopicmip	
	cull none
	
	// A RUSTED GRATE THAT CAN BE SEEN FROM BOTH SIDES
	// +NOMARKS
	{
		map textures/base_floor/pjgrate2.tga
		tcMod scale 2.0 2.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/map_terminus/proto_fence_terminus
{
	qer_editorimage textures/base_trim/proto_fence.tga
	surfaceparm trans
	surfaceparm nomarks
	cull none
   nopicmip

	{
		map textures/base_trim/proto_fence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/map_terminus/ceil1_34_nolight
{
	q3map_lightimage textures/base_light/ceil1_34.tga
	qer_editorimage textures/base_light/ceil1_34.tga
	surfaceparm nomarks
	//q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_34.tga
		blendFunc filter
		rgbGen identity
	}
}

textures/map_terminus/whitebeam
{
	qer_editorimage textures/common/white.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 200
	{
		map textures/common/white.tga
		blendFunc add
	}
}

textures/map_terminus/item_flare_QUAD
{
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nopicmip
	{
		map textures/map_terminus/item_flare_QUAD.tga
		tcMod Scroll .3 0
		blendfunc add
	}
}

textures/map_terminus/item_flare_BS
{
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nopicmip
	{
		map textures/map_terminus/item_flare_BS.tga
		tcMod Scroll .3 0
		blendfunc add
	}
}

textures/map_terminus/item_flare_RA
{
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nopicmip
	{
		map textures/map_terminus/item_flare_RA.tga
		tcMod Scroll .3 0
		blendfunc add
	}
}

textures/map_terminus/item_flare_YA
{
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nopicmip
	{
		map textures/map_terminus/item_flare_YA.tga
		tcMod Scroll .3 0
		blendfunc add
	}
}

textures/map_terminus/item_flare_MH
{
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nopicmip
	{
		map textures/map_terminus/item_flare_MH.tga
		tcMod Scroll .3 0
		blendfunc add
	}
}

textures/map_terminus/item_flare_RG
{
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nopicmip
	{
		map textures/map_terminus/item_flare_RG.tga
		tcMod Scroll .3 0
		blendfunc add
	}
}

textures/map_terminus/item_flare_PG
{
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nopicmip
	{
		map textures/map_terminus/item_flare_PG.tga
		tcMod Scroll .3 0
		blendfunc add
	}
}

textures/map_terminus/item_flare_LG
{
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nopicmip
	{
		map textures/map_terminus/item_flare_LG.tga
		tcMod Scroll .3 0
		blendfunc add
	}
}

textures/map_terminus/item_flare_RL
{
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nopicmip
	{
		map textures/map_terminus/item_flare_RL.tga
		tcMod Scroll .3 0
		blendfunc add
	}
}

textures/map_terminus/item_flare_SG
{
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nopicmip
	{
		map textures/map_terminus/item_flare_SG.tga
		tcMod Scroll .3 0
		blendfunc add
	}
}

textures/map_terminus/item_flare_GL
{
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nopicmip
	{
		map textures/map_terminus/item_flare_GL.tga
		tcMod Scroll .3 0
		blendfunc add
	}
}



textures/map_terminus/item_decal_armor_brown
{
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/map_terminus/item_decal_armor_brown.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
	{
		map textures/se_gothic/item_decal_armor.blend.tga
		rgbGen wave sin 0 .5 0 .25
		blendfunc add
	}
}

textures/map_terminus/item_decal_gl_brown
{
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/map_terminus/item_decal_gl_brown.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
	{
		map textures/se_gothic/item_decal_gl.blend.tga
		rgbGen wave sin 0 .5 0 .25
		blendfunc add
	}
}

textures/map_terminus/item_decal_lg_brown
{
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/map_terminus/item_decal_lg_brown.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
	{
		map textures/se_gothic/item_decal_lg.blend.tga
		rgbGen wave sin 0 .5 0 .25
		blendfunc add
	}
}

textures/map_terminus/item_decal_mh_brown
{
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/map_terminus/item_decal_mh_brown.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
	{
		map textures/se_gothic/item_decal_mh.blend.tga
		rgbGen wave sin 0 .5 0 .25
		blendfunc add
	}
}

textures/map_terminus/item_decal_pg_brown
{
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/map_terminus/item_decal_pg_brown.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
	{
		map textures/se_gothic/item_decal_pg.blend.tga
		rgbGen wave sin 0 .5 0 .25
		blendfunc add
	}
}

textures/map_terminus/item_decal_regen_brown
{
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/map_terminus/item_decal_regen_brown.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
	{
		map textures/se_gothic/item_decal_regen.blend.tga
		rgbGen wave sin 0 .5 0 .25
		blendfunc add
	}
}

textures/map_terminus/item_decal_rg_brown
{
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/map_terminus/item_decal_rg_brown.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
	{
		map textures/se_gothic/item_decal_rg.blend.tga
		rgbGen wave sin 0 .5 0 .25
		blendfunc add
	}
}

textures/map_terminus/item_decal_rl_brown
{
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/map_terminus/item_decal_rl_brown.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
	{
		map textures/se_gothic/item_decal_rl.blend.tga
		rgbGen wave sin 0 .5 0 .25
		blendfunc add
	}
}

textures/map_terminus/item_decal_quad_brown
{
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/map_terminus/item_decal_quad_brown.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
	{
		map textures/se_gothic/item_decal_quad.blend.tga
		rgbGen wave sin 0 .5 0 .25
		blendfunc add
	}
}

textures/map_terminus/item_decal_sg_brown
{
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/map_terminus/item_decal_sg_brown.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
	{
		map textures/se_gothic/item_decal_sg.blend.tga
		rgbGen wave sin 0 .5 0 .25
		blendfunc add
	}
}

textures/map_terminus/item_decal_bs_brown
{
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/map_terminus/item_decal_bs_brown.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
	{
		map textures/map_terminus/item_decal_bs.blend.tga
		rgbGen wave sin 0 .5 0 .25
		blendfunc add
	}
}

textures/sfx/pureblack
{
	qer_editorimage textures/skies/blacksky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	{
		map textures/skies/blacksky.tga
	}
}

textures/se_industrial/pipe_blue
{
	qer_editorimage textures/proto2/metal_green_bright.tga
	surfaceparm	metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/proto2/metal_green_bright.tga
		blendfunc filter
	}
}

textures/se_industrial/pipe_red
{
	qer_editorimage textures/proto2/metal_orange_bright.tga
	surfaceparm	metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/proto2/metal_orange_bright.tga
		blendfunc filter
	}
}

textures/se_gothic/metal_01
{
	qer_editorimage textures/se_gothic/metal_01.tga
	surfaceparm	metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/se_gothic/metal_01.tga
		blendfunc filter
	}
}

textures/ql/arrow
{
	qer_editorimage textures/ql/arrow.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/ql/arrow.tga
		blendfunc add
	}	
}

textures/ql/telex
{
	qer_editorimage textures/ql/telex.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	nopicmip
	polygonOffset 
	sort 6
	{
		map textures/ql/telex.tga
		blendfunc add
	}
}

textures/sfx/portal_new
{
	qer_editorimage textures/sfx/portaledge
	surfaceparm nolightmap
	surfaceparm nomarks
	portal
	nopicmip
	{
		map textures/sfx/portalnoise.tga
		blendfunc blend
		alphagen portal 400
		rgbGen identityLighting	
		tcmod scale 1.2 1.2
		tcmod scroll .01 -.11
	}

	{
		map textures/sfx/portaledge.tga
		blendfunc filter
		tcmod scale 0.5 0.5
		tcmod scroll -.01 -0.11
	}
	{
		map textures/sfx/portalnoise.tga 
		blendfunc add
		rgbgen wave sin 0.08 .04 0 .5
		tcmod scale -.05 -.05
		tcmod scroll -.01 -0.2
	}
	{
		map textures/common/white.tga
		blendfunc blend
		depthWrite
	}
}

textures/sfx/fanfx_ccw
{
	qer_editorimage textures/sfx/fanfx.tga
    surfaceparm nolightmap
    surfaceparm trans	
    surfaceparm nomarks	
	cull none
    nopicmip
	polygonOffset
	nomipmaps
	sort 6
	{
		clampmap textures/sfx/fanfx.tga
		tcMod rotate -256
		blendfunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		rgbGen exactVertex
        depthWrite
	}
}

textures/sfx/portal_new_static
{
	qer_editorimage textures/sfx/portaledge
	surfaceparm nolightmap
	surfaceparm nomarks
	nopicmip
	{
		map textures/sfx/portalnoise.tga
		blendfunc add
		rgbGen identityLighting	
		tcmod scale 1.2 1.2
		tcmod scroll .01 -.11
		rgbgen wave sin 0.95 0.07 0 .85
	}
	{
		map textures/sfx/portal_sfx2.tga
		blendfunc filter
		tcmod scale 1 0.9
		tcMod stretch sin 2.65 0.2 0 0.2
		tcMod turb 1 0.1 0 0.1
		tcMod rotate 360
	}
	{
		map textures/sfx/portal_sfx2.tga
		blendfunc filter
		tcmod scale 1 1
		tcMod stretch sin 2.5 0.1 0 0.2
		tcMod turb 1 -0.1 0 0.1
		tcMod rotate 355
	}
	{
		map textures/sfx/portaledge.tga
		blendfunc filter
		tcmod scale 0.5 0.5
		tcmod scroll -.01 -0.11
	}
}

textures/sfx/rusty_pentagrate_jp
{
	qer_editorimage textures/x/se_floor/rusty_pentagrate.tga
	surfaceparm	metalsteps	
    surfaceparm trans		
    surfaceparm alphashadow

	cull none
    nopicmip
	{
		clampmap textures/sfx/rusty_pentagrate.blend.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1
	}
	{
		map textures/x/se_floor/rusty_pentagrate.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}

textures/sfx/zap_scrollblue1000
{
        q3map_surfacelight	1000
        surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_lightimage textures/sfx/zap_scrollblue.tga
	qer_editorimage textures/sfx/zap_scroll2blue.tga
	cull none
	
	{
		map textures/sfx/zap_scrollblue.tga
		blendfunc add
                rgbgen wave triangle .8 2 0 7
                tcMod scroll 0 1
	}	
        {
		map textures/sfx/zap_scrollblue.tga
		blendfunc add
                rgbgen wave triangle 1 1.4 0 5
                tcMod scale  -1 1
                tcMod scroll 0 1
	}	
        {
		map textures/sfx/zap_scroll2blue.tga
		blendfunc add
                rgbgen wave triangle 1 1.4 0 6.3
                tcMod scale  -1 1
                tcMod scroll 2 1
	}	
        {
		map textures/sfx/zap_scroll2blue.tga
		blendfunc add
                rgbgen wave triangle 1 1.4 0 7.7
                tcMod scroll -1.3 1
	}	
}

textures/base_light/light5_1k
{
	qer_editorimage textures/base_light/light5.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 1000
	{
		map textures/base_light/light5.tga
		rgbGen identity
	}
}

textures/base_light/light5_green
{
	qer_editorimage textures/base_light/light5_green.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 500
	{
		map textures/base_light/light5_green.tga
		rgbGen identity
	}
}

textures/base_light/light5_green_blended
{
	qer_editorimage textures/base_light/light5_green.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	{
		map $lightmap 
		rgbGen identity
	}
	{
		map textures/base_light/light5_green.tga
		blendfunc filter
		rgbGen identity
	}	
	{
		map textures/base_light/light5_green.blend.tga
		blendfunc add
		rgbGen identity
	}
}

textures/base_light/rustytrim_lights
{
	qer_editorimage textures/base_light/rustytrim_lights.tga
	q3map_lightimage textures/base_light/rustytrim_lights.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	q3map_lightsubdivide 32
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/base_light/rustytrim_lights.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/base_light/rustytrim_lights.blend.tga
		blendfunc add
		rgbGen identity
	}
}

textures/base_support/metal_support
{
    	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/base_support/metal_support.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}

textures/base_support/metal_support2
{
    	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/base_support/metal_support2.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}

textures/grunge/damage_01
{
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	qer_trans 0.5
	sort 6
	{
		map textures/grunge/damage_01.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
		rgbgen identity
	}
}

textures/grunge/damage_02
{
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	qer_trans 0.5
	sort 6
	{
		map textures/grunge/damage_02.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
		rgbgen identity
	}
}

textures/grunge/damage_03
{
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	qer_trans 0.5
	sort 6
	{
		map textures/grunge/damage_03.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
		rgbgen identity
	}
}

textures/grunge/damage_04
{
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	qer_trans 0.5
	sort 6
	{
		map textures/grunge/damage_04.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
		rgbgen identity
	}
}

textures/grunge/grunge_01
{
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset 
   qer_trans 0.5 
   sort 6 
   { 
      map textures/grunge/grunge_01.tga 
      blendfunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
   } 
}

textures/grunge/grunge_02
{
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset 
   qer_trans 0.5 
   sort 6 
   { 
      map textures/grunge/grunge_02.tga 
      blendfunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
   } 
}

textures/grunge/grunge_03
{
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset 
   qer_trans 0.5 
   sort 6 
   { 
      map textures/grunge/grunge_03.tga 
      blendfunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
   } 
}

textures/grunge/scratches_01
{
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset 
   qer_trans 0.5 
   sort 6 
   { 
      map textures/grunge/scratches_01.tga 
      blendfunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
   } 
}

textures/grunge/stain_01
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset 
   qer_trans 0.5 
   sort 6 
   { 
      map textures/grunge/stain_01.tga 
      blendfunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
   } 
}

textures/grunge/stain_02
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset 
   qer_trans 0.5 
   sort 6 
   { 
      map textures/grunge/stain_02.tga 
      blendfunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
   } 
}

textures/proto2/dust_flat
{
    qer_editorimage textures/proto2/steam_01_img.tga
	qer_trans 0.50
    cull disable
    surfaceparm trans
    surfaceparm nonsolid
	surfaceparm nomarks
    deformVertexes wave 50 sin 0 3 0 .2
	{
		map textures/proto2/dust01.tga
        tcmod scroll 0 -0.015
		blendfunc blend
		rgbGen wave sin 1 .05 0 .4
	}
	{
		map textures/proto2/dust02.tga
        tcmod scroll 0.015 0.02
		blendfunc blend
		rgbGen wave sin 0.3 .04 0 .5
	}
}

textures/proto2/girder03
{
	surfaceparm trans	
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/proto2/girder03.tga
		alphaFunc GE128
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}

textures/proto2/rsredlight_off
//for team sides in mpterra2 (3 of 8)
{
  qer_editorimage textures/proto2/redlight_off.tga
       {
		map textures/proto2/redlight_off.tga
		rgbGen identity
	}    
}

textures/proto2/steam01
{
    qer_editorimage textures/proto2/steam_01_img.tga
    cull disable
    deformVertexes autoSprite2
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm pointlight
    deformVertexes wave 50 sin 0 3 0 .3
    deformVertexes move .3 .1 0  sin 0 .5 0 0.2
	{
		map textures/proto2/steam01.tga
        	tcmod scroll 0 0.3
		blendfunc blend
		rgbGen wave sin 1 .05 0 .75
	}
	{
		map textures/proto2/steam01.tga
        	tcmod scroll 0 0.4
		blendfunc blend
		rgbGen wave sin 0.4 .1 0 .5
	}
}

textures/proto2/vent01
{
	surfaceparm trans	
	surfaceparm alphashadow
	cull none
	{
		map textures/proto2/vent01.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}

textures/shw/clang_floor2_1
{
	surfaceparm	metalsteps		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/shw/clang_floor2_1.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/shw/geolight4_02_2k
{
	qer_editorimage textures/shw/geolight4_02.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/shw/geolight4_02.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/shw/geolight4_01.blend.tga
		blendfunc add
	}
}

textures/base_light/geolight4_2k
{
	qer_editorimage textures/base_light/geolight4.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/geolight4.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/base_light/geolight4.blend.tga
		blendfunc add
	}
}

